org.eclipse.ecf.remoteservice.client

## Class StringParameterSerializer

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.AbstractParameterSerializer
  - - org.eclipse.ecf.remoteservice.client.StringParameterSerializer

All Implemented Interfaces:
  IRemoteCallParameterSerializer

    public class StringParameterSerializer
    extends AbstractParameterSerializer
    implements IRemoteCallParameterSerializer

Parameter serializer for String parameters.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`StringParameterSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteCallParameter` `serializeParameter(String uri, IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter paramDefault, Object paramToSerialize)` Serialize a remote call parameter.

### Methods inherited from class org.eclipse.ecf.remoteservice.client.AbstractParameterSerializer

`serializeParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.client.IRemoteCallParameterSerializer

`serializeParameter`

### Constructor Detail

#### StringParameterSerializer

    public StringParameterSerializer()

### Method Detail

#### serializeParameter

    public IRemoteCallParameter serializeParameter(String uri,
                                                   IRemoteCall call,
                                                   IRemoteCallable callable,
                                                   IRemoteCallParameter paramDefault,
                                                   Object paramToSerialize)
                                            throws NotSerializableException

Description copied from interface: `IRemoteCallParameterSerializer`
Serialize a remote call parameter.

Specified by:
  `serializeParameter` in interface `IRemoteCallParameterSerializer`
Parameters:
  `uri` - uri
  `call` - call
  `callable` - callable
  `paramDefault` - parameter default
  `paramToSerialize` - the parameter to serialize
Returns:
  IRemoteCallParameter created as result of serialization
Throws:
  `NotSerializableException` - if input parameters cannot be serialized